@charset "utf-8";

.loading {
  background: #fff;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transition:
    opacity 0.25s ease,
    visibility 0s linear 0.25s;
  width: 100%;
  z-index: 100000;
}

.loading.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.loading-animation {
  height: 64px;
  position: absolute;
  top: calc(50% - 32px);
  left: calc(50% - 32px);
  width: 64px;
}

.loading-animation div {
  border-radius: 50%;
  box-sizing: border-box;
  height: 100%;
  opacity: 0.8;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.one {
  animation: rotate-left 1s linear infinite;
  border-top: 2px solid #02ac96;
}

.two {
  animation: rotate-right 1s linear infinite;
  border-right: 2px solid #e8340b;
}

.three {
  animation: rotate-right 1s linear infinite;
  border-bottom: 2px solid #f7b500;
}

.four {
  animation: rotate-right 1s linear infinite;
  border-left: 2px solid #0068b7;
}

@keyframes rotate-left {
  0% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes rotate-right {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
